//---------------------------------------------------------------------------

#ifndef Message_FormH
#define Message_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TMessageForm : public TForm
{
__published:	// IDE-managed Components
	TLabel *MessageLabel;
	TBitBtn *OKBitBtn;
	TBitBtn *CancelBitBtn;
	TTimer *WaitingTimer;
	TProgressBar *WaitingProgressBar;
    TBitBtn *BitBtn1;
    TBitBtn *BitBtn2;
	void __fastcall WaitingTimerTimer(TObject *Sender);
	void __fastcall OKBitBtnClick(TObject *Sender);
	void __fastcall CancelBitBtnClick(TObject *Sender);
private:	// User declarations
	int CloseWaitingTime;
    int ShowTime;
public:		// User declarations
	__fastcall TMessageForm(TComponent* Owner);
    int __fastcall MessageDlg(const AnsiString Msg, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
    int __fastcall WaitingDlg(const AnsiString Msg, int WaitingTime, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
};
//---------------------------------------------------------------------------
extern int __fastcall MessageDlgFA(const AnsiString Msg, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
extern int __fastcall WaitingDlgFA(const AnsiString Msg, int WaitingTime, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
extern void __fastcall ShowMessageFA(const AnsiString Msg);
//---------------------------------------------------------------------------
extern PACKAGE TMessageForm *MessageForm;
//---------------------------------------------------------------------------
#endif
